<?php 
	require_once("../includes/bootstrap2.php");
	$sesion=new sesion();
	$academia=bootstrap::initBd($sesion->get('anio'));
	$codest=$_GET['id'];
	$nper=$_GET['nper'];
	if(!headers_sent())
	    ob_start("ob_gzhandler");
	cache();
	$cnd="aca_estxasigxgrupos.cod_estudiante='".$codest."'";
	
	$sql="SELECT
    aca_asignaturas.nom_asi
    , aca_inasistencias.periodo
    , aca_inasistencias.fecha_falta
    , IF( aca_inasistencias.justificada=1,'Injustificada','Justificada') AS tip_fal
    , aca_inasistencias.obser_falta, num_horas
FROM
    aca_inasistencias
    INNER JOIN aca_estxasigxgrupos 
        ON (aca_inasistencias.cod_estxasigxgrupo = aca_estxasigxgrupos.cod_estxasigxgrupos)
    INNER JOIN aca_asignaturasxgrupos 
        ON (aca_estxasigxgrupos.cod_asigxgrupo = aca_asignaturasxgrupos.cod_asigxgrupo)
    INNER JOIN aca_asignaturas 
        ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi)
    WHERE $cnd
    ORDER BY aca_inasistencias.fecha_falta, aca_asignaturas.pri_asi,periodo ASC";
	$academia->instruccion($sql);
	if($academia->num_rows()>0):
	?>
		<table border="0" cellspacing="0" cellpadding="0" class="table table-condensed table-bordered">
			<?php 
				$per=-1;
				$tem=1;
				for($i=1;$i<=$nper;$i++){
					$perArr[$i]=0;	
				}
				$fjus=0;
				$finjus=0;		
				while($reg=$academia->extraer_registro()):
					for($i=1;$i<=$nper;$i++){
						if($i==$reg['periodo'])
							break;
						
						if($perArr[$i]==0){
							$per=1;	
							echo '<tr><td colspan="5" align="center" style="background-color:#CCC">
								<div><strong>Periodo: </strong>'. $i .' |  <strong>Just:</strong> 0  |  <strong>Injust:</strong> 0 
							</div></td></tr>';	
						}
						$perArr[$i]=1;	
					}
					
					if($per!=$reg['periodo']):
						if($per!=-1)
							echo "<tr><td colspan='5'>&nbsp;</td></tr>";
						$per=$reg['periodo'];
						$perArr[$per]=1;
						
						
			?>
					<tr><td colspan="5" align="center" style="background-color:#CCC">
							<div><?php echo "<strong>Periodo:</strong> ". $reg['periodo'] //.' |  <strong>Just:</strong> '.$fjus.'  |  <strong>Injust:</strong> '.$finjus ?></div>
					</td></tr>
					
					<tr align="center">
						<th width="230px">Materia</th>
						<th width="110px">Fecha</th>
						<th width="70px">Tipo</th>
						<th width="70px" align="center">N° Horas</th>
						<th>Observaciones</th>
					</tr>
					
				<?php endif ?>
				<tr>
					<td><?php echo $reg['nom_asi']?></td>
					<td><?php echo $reg['fecha_falta']?></td>
					<td><?php echo $reg['tip_fal']?></td>
					<td align="center"><?php echo $reg['num_horas']?></td>
					<td><?php echo $reg['obser_falta']?></td>
				</tr>
			<?php endwhile; 
				for($i=1;$i<=$nper;$i++){
					if($perArr[$i]==0){	
						echo '<tr><td colspan="5" align="center" style="background-color:#CCC">
							<div><strong>Periodo: </strong>'. $i .' |  <strong>Just:</strong> 0  |  <strong>Injust:</strong> 0 
						</div></td></tr>';	
					}	
					$perArr[$i]=1;	
				}
			?>
			
		</table>

<?php 
	else:
		echo '<table border="0" cellspacing="0" cellpadding="0" class="table table-condensed table-bordered">';
		
		for($i=1;$i<=$nper;$i++){
			if($i!=1) echo "<tr><td colspan='5'>&nbsp;</td></tr>";
?>			
			<tr>
				<td colspan="5" align="center" style="background-color:#CCC">
					<div><?php echo "<strong>Periodo:</strong> ". $i .' |  <strong>Just:</strong> 0  |  <strong>Injust:</strong> 0' ?></div>
				</td>
			</tr>	
<?php 		 
		}
		echo '</table>';
	endif
?>